umbrello: ActivityPage Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ActivityPage Class Reference

`#include <activitypage.h>`

Inheritance diagram for ActivityPage:

## Public Slots
void | slotMenuSelection (QAction *action)
void | slotClicked (QListWidgetItem *item)
void | slotDoubleClicked (QListWidgetItem *item)
void | slotRightButtonPressed (const QPoint &p)
void | slotTopClicked ()
void | slotUpClicked ()
void | slotDownClicked ()
void | slotBottomClicked ()
void | slotNewActivity ()
void | slotDelete ()
void | slotRename ()

## Public Member Functions
| ActivityPage (QWidget *pParent, StateWidget *pWidget)
| ~ActivityPage ()
void | setupPage ()
void | updateActivities ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Member Functions
void | enableWidgets (bool state)
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)

## Protected Attributes
StateWidget * | m_pStateWidget
QListWidget * | m_pActivityLW
QGroupBox * | m_pActivityGB
QToolButton * | m_pUpArrowB
QToolButton * | m_pDownArrowB
QToolButton * | m_pTopArrowB
QToolButton * | m_pBottomArrowB
QPushButton * | m_pDeleteActivityButton
QPushButton * | m_pRenameButton
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Detailed Description

Author
  Paul Hensgen Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ ActivityPage()

ActivityPage::ActivityPage | ( | QWidget * | pParent,
|  | StateWidget * | pWidget
| ) |  |

Constructor.

## ◆ ~ActivityPage()

ActivityPage::~ActivityPage | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ enableWidgets()

void ActivityPage::enableWidgets | ( | bool | state | ) |
| protected

Set the state of the widgets on the page with the given value.

Parameters

  state | The state to set the widgets as.

## ◆ setupPage()

void ActivityPage::setupPage | ( |  | ) |

Sets up the page.

## ◆ slotBottomClicked

void ActivityPage::slotBottomClicked | ( |  | ) |
| slot

## ◆ slotClicked

void ActivityPage::slotClicked | ( | QListWidgetItem * | item | ) |
| slot

## ◆ slotDelete

void ActivityPage::slotDelete | ( |  | ) |
| slot

## ◆ slotDoubleClicked

void ActivityPage::slotDoubleClicked | ( | QListWidgetItem * | item | ) |
| slot

## ◆ slotDownClicked

void ActivityPage::slotDownClicked | ( |  | ) |
| slot

## ◆ slotMenuSelection

void ActivityPage::slotMenuSelection | ( | QAction * | action | ) |
| slot

Popup menu item selected.

## ◆ slotNewActivity

void ActivityPage::slotNewActivity | ( |  | ) |
| slot

## ◆ slotRename

void ActivityPage::slotRename | ( |  | ) |
| slot

## ◆ slotRightButtonPressed

void ActivityPage::slotRightButtonPressed | ( | const QPoint & | p | ) |
| slot

## ◆ slotTopClicked

void ActivityPage::slotTopClicked | ( |  | ) |
| slot

## ◆ slotUpClicked

void ActivityPage::slotUpClicked | ( |  | ) |
| slot

## ◆ updateActivities()

void ActivityPage::updateActivities | ( |  | ) |

Sets the activities of the widget.

## Member Data Documentation

## ◆ m_pActivityGB

QGroupBox* ActivityPage::m_pActivityGB
| protected

## ◆ m_pActivityLW

QListWidget* ActivityPage::m_pActivityLW
| protected

GUI widgets

## ◆ m_pBottomArrowB

QToolButton* ActivityPage::m_pBottomArrowB
| protected

## ◆ m_pDeleteActivityButton

QPushButton* ActivityPage::m_pDeleteActivityButton
| protected

## ◆ m_pDownArrowB

QToolButton* ActivityPage::m_pDownArrowB
| protected

## ◆ m_pRenameButton

QPushButton* ActivityPage::m_pRenameButton
| protected

## ◆ m_pStateWidget

StateWidget* ActivityPage::m_pStateWidget
| protected

The widget to get the activities from.

## ◆ m_pTopArrowB

QToolButton* ActivityPage::m_pTopArrowB
| protected

## ◆ m_pUpArrowB

QToolButton* ActivityPage::m_pUpArrowB
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/activitypage.h
- umbrello/dialogs/pages/activitypage.cpp